List monitors
curl --request GET \
--url https://api.bigdata.com/v1/search-monitoring/monitors \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/v1/search-monitoring/monitors"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/v1/search-monitoring/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/search-monitoring/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/search-monitoring/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/v1/search-monitoring/monitors")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/search-monitoring/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "6af74cb7-0a6e-4ea0-8421-acde4c85e56a",
"name": "BlackRock exec departures",
"intent": "Watch for executive departures at BlackRock",
"status": "inactive",
"created_at": "2026-10-23T09:00:00Z"
}
],
"pagination": {
"has_cursor": false,
"cursor": null
},
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}{
"errors": [
{
"message": "schedule.frequency: value is not a valid frequency"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}{
"errors": [
{
"message": "Internal server error"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}Manage
List monitors
Your monitors, newest first. You can filter by status, name, or intent.
There is no next page. Results stop at limit. Each item includes the id, name, intent, status, and when it was created.
GET
/
v1
/
search-monitoring
/
monitors
List monitors
curl --request GET \
--url https://api.bigdata.com/v1/search-monitoring/monitors \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/v1/search-monitoring/monitors"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/v1/search-monitoring/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/search-monitoring/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/search-monitoring/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/v1/search-monitoring/monitors")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/search-monitoring/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "6af74cb7-0a6e-4ea0-8421-acde4c85e56a",
"name": "BlackRock exec departures",
"intent": "Watch for executive departures at BlackRock",
"status": "inactive",
"created_at": "2026-10-23T09:00:00Z"
}
],
"pagination": {
"has_cursor": false,
"cursor": null
},
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}{
"errors": [
{
"message": "schedule.frequency: value is not a valid frequency"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}{
"errors": [
{
"message": "Internal server error"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}Query Parameters
Was this page helpful?